Subject: Re: bug#74415: 29.4; mouse-start-end does not respect syntax-table text properties

From: Guillaume Brunerie <[email-masked]>
Date: Thu, 5 Dec 2024 07:13:20 +0100

Den tors 28 nov. 2024 kl 17:02 skrev Eli Zaretskii <[email-masked]>:
> Thanks.  Guillaume, does the patch below give good results?

Thank you, I haven’t managed to apply the patch locally yet but I
think that would work (I’m on Emacs 29.4, but I guess I might need to
get the development version of Emacs? The patch seems to fail on my
mouse.el).
But one thing I want to point out is that the two `(signal 'scan-error
[...])` seem to be dead code now, as they test the exact opposite of
what the previous test now does.
So I guess it should be implemented a bit differently if you want to
preserve the current behavior (have a signal 'scan-error' when double
clicking on unbalanced parentheses in CC mode).